Name:		halibut
Summary:	TeX-like software manual tool
Version:	1.2
Release:	%mkrel 4
License:	MIT
Group:		Text tools
URL:		http://www.chiark.greenend.org.uk/~sgtatham/halibut.html
Source:		https://www.chiark.greenend.org.uk/~sgtatham/%{name}/%{name}-%{version}/%{name}-%{version}.tar.gz

%description
Halibut is yet another text formatting system, intended primarily for
writing software documentation. It accepts a single source format and
outputs a variety of formats, planned to include text, HTML, Texinfo,
Windows Help, Windows HTMLHelp, PostScript and PDF. It has comprehensive
indexing and cross-referencing support, and generates hyperlinks within
output documents wherever possible.


%package	-n vim-halibut
Summary:	Syntax file for the halibut manual tool
Group:		Editors
Requires:	vim-common
BuildArch:	noarch

%description -n vim-halibut
This package provides vim syntax support for Halibut input files (*.but).


%prep
%autosetup


%build
%define _legacy_common_support 1
sed -i 's/CFLAGS += -g/CFLAGS += /g' Makefile
export CFLAGS="%{optflags}"
make VERSION="%{version}"
%make_build -C doc


%install
%makeinstall INSTALL="install -Dp"
install -d  html
install -pm 0644 doc/*.html html
install -d %{buildroot}%{_datadir}/vim/syntax
install -pm 0644 misc/halibut.vim %{buildroot}%{_datadir}/vim/syntax


%files
%doc LICENCE html
%{_bindir}/halibut
%{_mandir}/man1/*.1*

%files -n vim-halibut
%{_datadir}/vim/syntax/*.vim


%changelog
* Mon Jun 29 2020 joequant <joequant> 1.2-4.mga8
+ Revision: 1600384
- fix gcc10 build

* Thu Feb 13 2020 umeabot <umeabot> 1.2-3.mga8
+ Revision: 1512920
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 1.2-2.mga7
+ Revision: 1298162
- Mageia 7 Mass Rebuild

* Mon Jul 17 2017 sander85 <sander85> 1.2-1.mga7
+ Revision: 1124144
- New version: 1.2

* Thu Feb 11 2016 umeabot <umeabot> 1.1-2.mga6
+ Revision: 954282
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 sander85 <sander85> 1.1-1.mga6
+ Revision: 844501
- New version: 1.1

* Wed Oct 15 2014 umeabot <umeabot> 1.0-5.20100504svn8934.mga5
+ Revision: 741843
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0-4.20100504svn8934.mga5
+ Revision: 680070
- Mageia 5 Mass Rebuild
+ sander85 <sander85>
- Convert to %%autosetup

* Sun Jan 05 2014 pterjan <pterjan> 1.0-3.20100504svn8934.mga4
+ Revision: 564873
- Make it mass-rebuildable

* Thu Jun 30 2011 sander85 <sander85> 1.0-2.20100504svn8934.mga2
+ Revision: 116924
- add optflags back

* Thu Jun 30 2011 sander85 <sander85> 1.0-1.20100504svn8934.mga2
+ Revision: 116919
- just make
- try w/o optflags
- clean spec
- imported package halibut

